html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
    font-weight: 70;
    font-style: normal;
    min-height: 100vh;
}


h1, h2, h3 {
    font-family: "Playfair Display", serif;
}

p {
    padding: 0 10px;
    line-height: 1.8;
}

ul li {
    padding-right: 10px;
    line-height: 1.6;
}
h3 {
    padding: 5px 20px;
    margin: 0;
}

div#container {
    display: flex;
    flex-direction: column;
    flex-grow: 1;
}

:root {
    --header-height: 90px;
    --background-color: #34495e;
}

div#header {
    position: fixed;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    background-color: var(--background-color);
    height: var(--header-height);
    width: 100%;
    z-index: 3;
}

.item-1, .item-3, .item-4 {
    text-align: center;
    flex: 1 1 33.3%;
    background-color: var(--background-color);
}

.item-1 p {
    cursor: pointer;
}

.item-3 img {
    height: 66px;
    width: 66px;
}

div#header a {
    color: white;
    text-decoration: none;
}

div#wrapper {
    background-image: url(img/Johannisstraße.jpeg);
    background-size: cover;
    background-position: center;
    background-color: transparent;
    width: 100%;   
    display: block;
    height: 100vh;
    padding-top: var(--header-height);
    color: white;
    position: relative;
}

div#wrapper h1 {
    display: block;
    width: 100%;
    text-align: center;
    margin-bottom: 20px;
    margin-top: 15vh;
    font-family: "Playfair Display", serif;
    font-optical-sizing: auto;
    font-weight: 1000;
    font-style: normal;
    font-variation-settings:"wdth" 100;
    font-size: 5em;

}

div#wrapper h1, .typewriter p {
    transform: translateY(calc(var(--scroll, 0) * 0.7px));
    z-index: 1;
    text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.5);
    
}

.typewriter{
    left: 50vw;
    overflow: hidden;
    position: absolute;
    transform: translate(-50%, -50%);

}
.typewriter p {
    font-family: Hack, monospace;
    font-size: 1.5em;
    overflow: hidden;
    white-space: nowrap;
    border-right: 1px solid white;
    animation: typing 7s steps(27, end) 0.1s forwards, 
               blink 1s step-end infinite 6s;
  }
  
  @keyframes typing {
    from { width: 0ch; }
    to   { width: 27ch; }
  }
  
  @keyframes blink {
    0% { border-right-color: transparent; }
    50%  { border-right-color: white; }
  }
  

@media (max-width: 768px) {
    div#wrapper h1 {
        font-size: 3em;
        text-align: center;
    }
    .typewriter p {
        font-size: 1.2em;
    }
}

@media (max-width: 1300px) {
    div#wrapper h1 {
        text-align: center;
    }
}

div#extra {
    background: white;
    clear: both;
    width: 100%;
    height: auto;
    display: block;
    position: relative;
    flex-grow: 1;
}

div#extra h2 {
    padding: 40px 10px;
    color: black;
    text-align: center;
    margin: 0 auto;
}

div#extra1 {
    text-align: center;
    width: 50%;
    margin: 0 auto;
    margin-top: 30px;
    display: flex;
    font-size: 1em;
    position: relative;
}

@media (max-width: 768px) {
    div#extra1 {
        width: 90%;
    }
}

div#Leistungen {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    justify-content: center;
    background-color: white;
    
}

.hidden {
    background-color: #f2f4f4;
    width: 300px;
    text-align: center;
    border-radius: 5px;
    opacity: 0;
    transform: translateX(-100px);
    transition: all 1s ease;
}

.hidden:first-of-type, .hidden:nth-of-type(2) {
    margin-right: 40px;
}

@media (max-width: 1064px) {
    div#Leistungen {
        flex-direction: column;
        align-items: center;
    }

    .hidden {
        width: 90%;
    }

    .hidden:first-of-type, .hidden:nth-of-type(2) {
        margin-bottom: 20px;
        margin-right: 0;
    }
}

.hidden:first-of-type p:first-child::after, .hidden:nth-of-type(2) p:first-child::after, .hidden:nth-of-type(3) p:first-child::after {
    content: "";
    display: block;
    width: calc(100% - 20px);
    margin: 0 auto;
    border-bottom: 2px solid grey;
    padding-bottom: 10px;
    margin-bottom: 10px;
}

.show {
    opacity: 1;
    transform: translateX(0);
}

div#about {
    display: flex; 
    flex-direction: row;
    align-items: stretch;
    z-index: 1;
    color: black;
    clear: both;
    background-color: white;
    justify-content: space-evenly;
    flex-grow: 1;
}

.item-11, .item-12 {    
    text-align: center;
    width: 47%;
    margin-top: 60px;
    margin-bottom: 60px;
    border-radius: 5px;
}

.item-11 {
    background-color: #f2f4f4;
    position: relative;
}

.item-12 {
    background-color: #f2f4f4;
}

.item-11 h2, .item-12 h2 {
    text-align: center;
    margin-top: 60px;
}

.item-11 img {
    position: relative;
    width: 150px;       
    height: 150px;
    border-radius: 50%;
    padding: 20px;
}

.item-11 p, .item-12 p {
    text-align: center;
    padding-left: 60px;
    padding-right: 60px;
    margin-bottom: 40px;
}

.item-12 p:nth-of-type(2) {
    margin-top: 40px;
}

.item-12 img {
    height: 30px;
    width: 30px;
    margin-bottom: 40px;
}

.item-12 a:first-of-type {
    padding: 10px;
    background-color: rgb(221, 138, 4);
    border-radius: 5px;
    border: none;
    color: white;
    text-decoration: none;
    font-weight: 500;
    animation: attentionFlow 6s infinite alternate;
    transition: transform 2s ease;
}    

@keyframes attentionFlow {
    0% {
        background-color: rgb(221, 19, 177);      
    }
    50% {
        background-color: rgb(179, 9, 9);    
    }
    100% {
        background-color: rgb(213, 102, 17);  
    }
}

@media (max-width: 768px) {
    div#about {
        flex-direction: column; 
        align-items: center; 
        margin-top: none;
    }

    .item-11, .item-12 {
        width: 90%;
    }

    .item-11 {
        margin-bottom: 0px;
    }
}

div#preTimeline {
    background-color: #f2f4f4;
    text-align: center;
    margin: 0 5% 0 5%;
    width: 90%;
    padding-top: 10px;
    padding-bottom: 10px;
    border-radius: 5px 5px 0 0;
}

div#preTimeline p {
    margin: 0 10% 5% 10%;
    padding: 0;
}

@media (max-width: 768px) {
    div#preTimeline p {
        padding-bottom: 0;
    }
}

.timeline {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: relative;
    width: 90%;
    margin: 0 5% 0 5%;
    margin-bottom: 60px;
    border-radius: 0 0 5px 5px;
    background-color: #f2f4f4;
}

.timeline::before {
    content: "";
    position: absolute;
    left: 20px;
    height: 100%;
    width: 4px;
    margin-left: 40px;
    background-color: black;
}

@media (max-width: 768px) {
    .timeline::before {
        margin-left: 20px;
    }
}

.timeline h2{
    text-align: center;
    width: 100%;
    margin-top: 30px;
    margin-bottom: none;
    padding: none;
}


.step {
    display: flex;
    align-items: center;
    margin: 20px 0;
    position: relative;
}

.step:nth-of-type(1) {
    margin-top: 0;
}

.circle {
    min-width: 45px;
    min-height: 45px;
    background-color: black;
    color: white;
    font-weight: bold;
    font-size: 18px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    position: relative;
    z-index: 1;
    margin-right: 40px;
    margin-left: 40px;
    
}

@media (max-width: 768px) {
    .circle {
        margin-left: 20px;
        margin-right: 20px;
    }
}

.text {
    background-color: white;
    border-radius: 8px;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
    margin-right: 10%;
    padding: 0 10px 0 10px;
}

@media (max-width: 768px) {
    .text {
        margin-right: 5%;
    }
}

.text h3 {
    padding-left: 10px;
    margin-top: 10px;
}

div#Questions {
    padding: 5%;
    width:80%;
    margin: 0 5% 0 5%;
    background-color: #f2f4f4;
    margin-bottom: 90px;
    border-radius: 5px;
}

div#Questions h2 {
    text-align: center
}

.question {
    margin-bottom: 10px;
}

.question-button {
    width: 100%;
    padding: 15px;
    background-color: white;
    color: black;
    font-size: 1em;
    border: none;
    cursor: pointer;
    text-align: center;
    border-radius: 5px;
    font-family: "Nunito", sans-serif;
    font-weight: 70;
    box-shadow: 2px 2px 10px rgba(0, 0, 0, 0.1);
}    

.answer {
    display: none;
    padding: 10px;
    background-color: white;
    border-top: 3px solid #ddd;
}

div#footer {
    color: white;
    background-color: #34495e;
    width: 100%;    
    z-index: 4;
    position: relative;
    bottom: 0;
    clear: both;
    height: 100px;
    display: flex;
    flex-direction: row;
    align-items: center;
    text-decoration: none;
    --footer-height: 100px;
}

div#footer a {
    cursor: pointer;
    color: white;
    text-decoration: none;
}

.item-5, .item-6, .item-7 {
    
    text-align: center;
    flex: 1 1 33.3%;
}

.item-7 img {
    width: 30px;
    height: 30px;
}

/* KONTAKTFORMULAR */

.Kontaktformular {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-bottom: 150px;
}

.Kontaktformular h1 {
    margin-top: 150px;
    text-align: center;
}

.Kontaktformular p {
    text-align: center;
    width: 60%;
    color: black;
}

.Kontaktformular img {
    height: 30px;
    width: 30px;
    margin-top: 10px;
}

.contact {
    padding: 20px;
    color: #34495e;
    display: flex;
    align-items: center;
    flex-direction: column;
    background-color: #f2f4f4;
    width: 60%;
    margin-top: 20px;
    margin-bottom: 20px;
    border-radius: 10px;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.contact-inputs {
    padding: 10px;
    border: 1px solid grey;
    margin-bottom: 10px;
    width: 100%;
    border-radius: 5px;
    font-size: 1em;
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
    font-weight: 70;
    font-style: normal;
}

.contact-inputs:focus {
    outline: none;
    border-color: #2980b9;
    box-shadow: 0 0 5px rgba(41, 128, 185, 0.5);
}

input[type="checkbox"] {
    accent-color: #007bff;
}

.Kontaktformular button {
    padding: 10px;
    background-color: #7d9fc2;
    width: max(90%);
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size:(1.2em);
    font-family: "Nunito", sans-serif;
    font-optical-sizing: auto;
    font-weight: 70;
    font-style: normal;
    text-align: center;
}

#KontaktformularButton:not(:disabled) {
    background-color: #34495e;
}

/* Datenschutzerklärung*/

div#Datenschutz {
    clear: both;
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 150px;
    margin-bottom: 150px;
}

div#Datenschutz p {
    padding-left: 0;
}

div#Datenschutz h3 {
    padding-left: 0;
}

/* Impressum */

div#Impressum {
    clear: both;
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 150px;
    margin-bottom: 150px;
}

div#Impressum p {
    padding-left: 0;
}

div#Impressum h3 {
    padding-left: 0;
}